# NVM_Page_Descriptor_t Struct Reference
[NVM]

Describes the properties of a page. More...

`#include <nvm.h>`

Collaboration diagram for NVM_Page_Descriptor_t:
[legend]

## Data Fields
uint8_t | pageId
| A page ID used when referring to the page.
NVM_Page_t const * | page
| A pointer to the list of all the objects in the page.
uint8_t | pageType
| The type of page, normal or wear.

## Detailed Description

Describes the properties of a page.

Definition at line 156 of file nvm.h.

## Field Documentation

NVM_Page_t const* NVM_Page_Descriptor_t::page

A pointer to the list of all the objects in the page.

Definition at line 159 of file nvm.h.

Referenced by NVM_Init(), NVM_Read(), and NVM_Write().

uint8_t NVM_Page_Descriptor_t::pageId

A page ID used when referring to the page.

Must be unique.

Definition at line 158 of file nvm.h.

uint8_t NVM_Page_Descriptor_t::pageType

The type of page, normal or wear.

Definition at line 160 of file nvm.h.

Referenced by NVM_Init(), NVM_Read(), and NVM_Write().

The documentation for this struct was generated from the following file:

- nvm/inc/nvm.h